Redeam Booking API.

Server
booking.redeam.io
Server Variables

Fields
KeyIn
X-API-KeyHeader

Fields
KeyIn
X-API-SecretHeader

Retrieve a list of suppliers

Returns a list of suppliers.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Query String
partner_idstring

Partner defined ID

codestring

Supplier code

GET /suppliers
Copy
Responses application/json
200

Retrieve a list of suppliers

objectobject
metaobject

Request meta data

reqIduuid

Request ID

suppliersarray[object]
businessTypearray[string]

Key word or words that identify the type of business

pattern: ^\w+$

codestring

Code of the supplier. Every Supplier must have a unique Code.

contactsarray[object]

Supplier contact information.

emailstring

Contact email address

namestring

Contact name

phonestring

Contact phone number

pattern: ^\+\d[\d\s\(\)-]+$

primaryboolean

Set to true, if this is the primary contact.

titlestring

Contact title

extobject

Extended data of the supplier

hoursarray[object]

Hours of the supplier

datesarray[string]

Specific dates to which this rule applies

daysOfWeekarray[integer]

Applicable days of week. 0 is undefined, 1 is Monday, etc

timesarray[object]

Open/Close times

closestring

Close time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

openstring

Open time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

timezonestring

IANA timezone string. If empty, then the open and close times are interpreted as UTC.

validobject

Valid time range, if DaysOfWeek is specified

fromdate-time

Valid from time

untildate-time

Valid until time

iduuid

ID of the supplier. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

mainLocationobject

Location of the supplier

addressobject

Address of the location

countryCodestring

ISO 3366-1 alpha-3 format

pattern: ^[A-Za-z]{3}$

googlePlaceIdstring

A Google Place ID.

localitystring

Locality is usually the address city

postalCodestring

PostalCode is the postal code, for example 94043

regionstring

Region is usually a state/province

streetAddressstring

StreetAddress is a address line.

citystring

This field is DEPRECATED.

countrystring

This field is DEPRECATED.

longLatobject

Longitude and latitude of a location

latitudenumber

Latitude of the position

longitudenumber

Longitude of the position

namestring

Name of the location

notesstring

Notes

statestring

This field is DEPRECATED.

utcOffsetstring

This field is DEPRECATED.

websitestring

Website

namestring

Name of the supplier

otherLocationsarray[object]

Other locations of the supplier

addressobject

Address of the location

countryCodestring

ISO 3366-1 alpha-3 format

pattern: ^[A-Za-z]{3}$

googlePlaceIdstring

A Google Place ID.

localitystring

Locality is usually the address city

postalCodestring

PostalCode is the postal code, for example 94043

regionstring

Region is usually a state/province

streetAddressstring

StreetAddress is a address line.

citystring

This field is DEPRECATED.

countrystring

This field is DEPRECATED.

longLatobject

Longitude and latitude of a location

latitudenumber

Latitude of the position

longitudenumber

Longitude of the position

namestring

Name of the location

notesstring

Notes

statestring

This field is DEPRECATED.

utcOffsetstring

This field is DEPRECATED.

websitestring

Website

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

travelerTypesarray[object]

Traveler types of the supplier

ageBandstring

Age band of the traveler type

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,STUDENT,UNKNOWN,YOUTH

maxAgeint32

Maximum age (inclusive) of the traveler type

minAgeint32

Minimum age (inclusive) of the traveler type

modifierstring

Optional traveler modifier. For most use cases, this can be omitted or set to 'NONE'.

Enum: EU_CITIZEN,GROUP,MILITARY,NONE

namestring

Name of the traveler type, e.g. Diver, Observer, Adult, Military

versionint32

Version of this object. Increments every update.

401

Retrieve a list of suppliers

503

The server is temporarily unavailable, either because the server is under maintenance, or overloaded (accepted too many requests in too short a time).

Response
Copy

Retrieve a single supplier

Returns a supplier.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
supplier_idstring
GET /suppliers/{supplier_id}
Copy
Responses application/json
200

Retrieve a single supplier

objectobject
metaobject

Request meta data

reqIduuid

Request ID

supplierobject
businessTypearray[string]

Key word or words that identify the type of business

pattern: ^\w+$

codestring

Code of the supplier. Every Supplier must have a unique Code.

contactsarray[object]

Supplier contact information.

emailstring

Contact email address

namestring

Contact name

phonestring

Contact phone number

pattern: ^\+\d[\d\s\(\)-]+$

primaryboolean

Set to true, if this is the primary contact.

titlestring

Contact title

extobject

Extended data of the supplier

hoursarray[object]

Hours of the supplier

datesarray[string]

Specific dates to which this rule applies

daysOfWeekarray[integer]

Applicable days of week. 0 is undefined, 1 is Monday, etc

timesarray[object]

Open/Close times

closestring

Close time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

openstring

Open time in UTC, 24-hour time, with 'HH:mm' format

pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$

timezonestring

IANA timezone string. If empty, then the open and close times are interpreted as UTC.

validobject

Valid time range, if DaysOfWeek is specified

fromdate-time

Valid from time

untildate-time

Valid until time

iduuid

ID of the supplier. This field can optionally be provided on create. If a valid UUID is provided on create, it will be saved as the object's ID. Otherwise, the object will receive a generated ID.

mainLocationobject

Location of the supplier

addressobject

Address of the location

countryCodestring

ISO 3366-1 alpha-3 format

pattern: ^[A-Za-z]{3}$

googlePlaceIdstring

A Google Place ID.

localitystring

Locality is usually the address city

postalCodestring

PostalCode is the postal code, for example 94043

regionstring

Region is usually a state/province

streetAddressstring

StreetAddress is a address line.

citystring

This field is DEPRECATED.

countrystring

This field is DEPRECATED.

longLatobject

Longitude and latitude of a location

latitudenumber

Latitude of the position

longitudenumber

Longitude of the position

namestring

Name of the location

notesstring

Notes

statestring

This field is DEPRECATED.

utcOffsetstring

This field is DEPRECATED.

websitestring

Website

namestring

Name of the supplier

otherLocationsarray[object]

Other locations of the supplier

addressobject

Address of the location

countryCodestring

ISO 3366-1 alpha-3 format

pattern: ^[A-Za-z]{3}$

googlePlaceIdstring

A Google Place ID.

localitystring

Locality is usually the address city

postalCodestring

PostalCode is the postal code, for example 94043

regionstring

Region is usually a state/province

streetAddressstring

StreetAddress is a address line.

citystring

This field is DEPRECATED.

countrystring

This field is DEPRECATED.

longLatobject

Longitude and latitude of a location

latitudenumber

Latitude of the position

longitudenumber

Longitude of the position

namestring

Name of the location

notesstring

Notes

statestring

This field is DEPRECATED.

utcOffsetstring

This field is DEPRECATED.

websitestring

Website

partnerIdstring

A Partner ID can be used to store a unique key in a partner's system.

travelerTypesarray[object]

Traveler types of the supplier

ageBandstring

Age band of the traveler type

Enum: ADULT,ANY,CHILD,INFANT,SENIOR,STUDENT,UNKNOWN,YOUTH

maxAgeint32

Maximum age (inclusive) of the traveler type

minAgeint32

Minimum age (inclusive) of the traveler type

modifierstring

Optional traveler modifier. For most use cases, this can be omitted or set to 'NONE'.

Enum: EU_CITIZEN,GROUP,MILITARY,NONE

namestring

Name of the traveler type, e.g. Diver, Observer, Adult, Military

versionint32

Version of this object. Increments every update.

401

Retrieve a single supplier

404

Retrieve a single supplier

503

The server is temporarily unavailable, either because the server is under maintenance, or overloaded (accepted too many requests in too short a time).

Response
Copy